Create management key
POST
/account/management-keys
const url = 'https://api.reflexdb.cloud/v1/account/management-keys';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","expiresAt":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.reflexdb.cloud/v1/account/management-keys \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "expiresAt": "2026-04-15T12:00:00Z" }'Generates a new management API key (rmk_...). The raw key is returned once in the key field — store it immediately. Use it as a Bearer token on any /v1 route.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
CreateManagementKeyBody
object
name
required
Human-readable label for this key
string
expiresAt
ISO 8601 expiry — key is rejected after this time
string format: date-time
Example generated
{ "name": "example", "expiresAt": "2026-04-15T12:00:00Z"}Responses
Section titled “ Responses ”Newly created management key — raw key shown once, cannot be retrieved again
Media type application/json
CreatedManagementKey
Newly created management key — raw key shown once, cannot be retrieved again
object
id
required
string format: uuid
customerId
required
string format: uuid
name
required
string
keyId
required
Non-secret identifier
string
lastUsedAt
string format: date-time
expiresAt
string format: date-time
createdAt
required
string format: date-time
revokedAt
string format: date-time
key
required
Full management key. Format: rmk_
string
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "customerId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "keyId": "example", "lastUsedAt": "2026-04-15T12:00:00Z", "expiresAt": "2026-04-15T12:00:00Z", "createdAt": "2026-04-15T12:00:00Z", "revokedAt": "2026-04-15T12:00:00Z", "key": "example"}Default Response
Media type application/json
Error
object
error
required
string
message
string
Example generated
{ "error": "example", "message": "example"}